# Maintainer: TBD: This is temporary block for TDC Demo. You may proceed with this later anyway.
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.


################
## Multimedia ##
################
%package sub1-domain_CSAPI-Multimedia
Summary:	Multimedia Group for TizenFx C#
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-AudioIO
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Camera
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-MediaCodec
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-MediaPlayer
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Metadata
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Radio
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Recorder
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Remoting
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-StreamRecorder
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Util
Suggests: %{name}-sub2-domain_CSAPI-Multimedia-Vision
%description sub1-domain_CSAPI-Multimedia
Tizen block (set of packages) for Group of domain API-Multimedia
%files sub1-domain_CSAPI-Multimedia

%package sub2-domain_CSAPI-Multimedia-Multimedia
Summary:	Tizen.Multimedia
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Tool
Requires:	%{name}-sub2-domain_API-Multimedia-Sound_Manager
Requires:	%{name}-sub2-domain_CSAPI-System-Information
%description sub2-domain_CSAPI-Multimedia-Multimedia
TizenFX C# API for Multimedia
%files sub2-domain_CSAPI-Multimedia-Multimedia

%package sub2-domain_CSAPI-Multimedia-AudioIO
Summary:	Tizen.Multimedia.AudioIO
Requires:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Requires:	%{name}-sub2-domain_API-Multimedia-Tone_Player
Requires:	%{name}-sub2-domain_API-Multimedia-WAV_Player
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-AudioIO
TizenFX C# API for AudioIO
%files sub2-domain_CSAPI-Multimedia-AudioIO

%package sub2-domain_CSAPI-Multimedia-Camera
Summary:	Tizen.Multimedia.Camera
Requires:	%{name}-sub2-domain_API-Multimedia-Camera
Requires:	evas
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-Camera
TizenFX C# API for Camera
%files sub2-domain_CSAPI-Multimedia-Camera

%package sub2-domain_CSAPI-Multimedia-MediaCodec
Summary:	Tizen.Multimedia.MediaCodec
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Codec
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Tool
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-MediaCodec
TizenFX C# API for MediaCodec
%files sub2-domain_CSAPI-Multimedia-MediaCodec

%package sub2-domain_CSAPI-Multimedia-MediaPlayer
Summary:	Tizen.Multimedia.MediaPlayer
Requires:	%{name}-sub2-domain_API-Multimedia-Player
Requires:	evas
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-MediaPlayer
TizenFX C# API for MediaPlayer
%files sub2-domain_CSAPI-Multimedia-MediaPlayer

%package sub2-domain_CSAPI-Multimedia-Metadata
Summary:	Tizen.Multimedia.Metadata
Requires:	%{name}-sub2-domain_API-Multimedia-Metadata_Editor
Requires:	%{name}-sub2-domain_API-Multimedia-Metadata_Extractor
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-Metadata
TizenFX C# API for Metadata
%files sub2-domain_CSAPI-Multimedia-Metadata

%package sub2-domain_CSAPI-Multimedia-Radio
Summary:	Tizen.Multimedia.Radio
Requires:	%{name}-sub2-domain_API-Multimedia-Radio
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Requires:	%{name}-sub2-domain_CSAPI-System-Information
%description sub2-domain_CSAPI-Multimedia-Radio
TizenFX C# API for Radio
%files sub2-domain_CSAPI-Multimedia-Radio

%package sub2-domain_CSAPI-Multimedia-Recorder
Summary:	Tizen.Multimedia.Recorder
Requires:	%{name}-sub2-domain_API-Multimedia-Recorder
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-AudioIO
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Camera
%description sub2-domain_CSAPI-Multimedia-Recorder
TizenFX C# API for Recorder
%files sub2-domain_CSAPI-Multimedia-Recorder

%package sub2-domain_CSAPI-Multimedia-Remoting
Summary:	Tizen.Multimedia.Remoting
Requires:	%{name}-sub2-domain_API-Multimedia-Screen_Mirroring
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Controller
Requires:	evas
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
Requires:	%{name}-sub2-domain_CSAPI-System-Information
%description sub2-domain_CSAPI-Multimedia-Remoting
TizenFX C# API for Remoting
%files sub2-domain_CSAPI-Multimedia-Remoting

%package sub2-domain_CSAPI-Multimedia-StreamRecorder
Summary:	Tizen.Multimedia.StreamRecorder
Requires:	%{name}-sub2-domain_API-Multimedia-Stream_Recorder
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Recorder
%description sub2-domain_CSAPI-Multimedia-StreamRecorder
TizenFX C# API for StreamRecorder
%files sub2-domain_CSAPI-Multimedia-StreamRecorder

%package sub2-domain_CSAPI-Multimedia-Util
Summary:	Tizen.Multimedia.Util
Requires:	%{name}-sub2-domain_API-Multimedia-Image_Util
Requires:	%{name}-sub2-domain_API-Multimedia-Thumbnail_Util
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
%description sub2-domain_CSAPI-Multimedia-Util
TizenFX C# API for Util
%files sub2-domain_CSAPI-Multimedia-Util

%package sub2-domain_CSAPI-Multimedia-Vision
Summary:	Tizen.Multimedia.Vision
Requires:	capi-media-vision
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Multimedia
Requires:	%{name}-sub2-domain_CSAPI-System-Information
%description sub2-domain_CSAPI-Multimedia-Vision
TizenFX C# API for Vision
%files sub2-domain_CSAPI-Multimedia-Vision
