# Maintainer: Tizen IoT PM
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

################
### IOT Core ###
################
%package root-Preset_iot_core
Summary:    IOT Core Presets
Requires: activationd
Requires: amd
Requires: amd-mod-watchdog
Requires: amd-mod-cynara-core
Requires: app-launchpad
Requires: appcore-agent
Requires: aul
Requires: bash
Requires: buxton2
Requires: capi-appfw-app-common
Requires: capi-appfw-app-manager
Requires: capi-appfw-package-manager
Requires: capi-appfw-preference
Requires: capi-network-wifi-manager
Requires: capi-system-peripheral-io
Requires: connman
Requires: coreutils
Requires: cynara
Requires: dbus
Requires: dlogutil
Requires: filesystem
Requires: gum-utils
Requires: initrd
Requires: iotcon
Requires: iotivity
Requires: kmod
Requires: kmod-compat
Requires: libdlog
Requires: net-config
Requires: net-tools
Requires: pam
Requires: pam-modules-extra
Requires: peripheral-bus
Requires: procps-ng
Requires: rpm
Requires: rpm-security-plugin
Requires: sdbd
Requires: security-manager
Requires: setup
Requires: shadow-utils-adm
Requires: systemd
Requires: tizen-release
Requires: tlm
Requires: tlm-config-common-singleseat
Requires: tpk-backend
Requires: util-linux
Requires: vconf-internal-keys
Requires: wpa_supplicant
Requires: libnss-security-manager
Requires: security-privilege-manager-extension-iot
%ifarch armv7l
Requires: iotjs
%endif
#From TRE-1957
Requires: dbus-tools
#From TRE-2370
Requires: amd-mod-boost
Requires: libopenssl

%description root-Preset_iot_core
The packages of Tizen IoT Core.
%files root-Preset_iot_core

#########################
### IOT Haeded Common ###
#########################
%package root-Preset_iot_headed
Summary:    IOT Headed Common Presets
Requires:	%{name}-root-Preset_iot_core
Requires:	%{name}-sub2-domain_API-Account-FIDO_Client
Requires:	%{name}-sub2-domain_API-Account-libOAuth
Requires:	%{name}-sub2-domain_API-Account-OAuth2
Requires:	%{name}-sub2-domain_API-Account-Sync_Manager
Requires:	%{name}-sub2-domain_API-AppFramework-Alarm_API
Requires:	%{name}-sub2-domain_API-AppFramework-Attach_Panel
Requires:	%{name}-sub2-domain_API-AppFramework-Badge_API
Requires:	%{name}-sub2-domain_API-AppFramework-Component_Manager_API
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Component_Based_App_Model
Requires:	%{name}-sub2-domain_API-AppFramework-Data_Control_API
Requires:	%{name}-sub2-domain_API-AppFramework-Event_API
Requires:	%{name}-sub2-domain_API-AppFramework-External_Storage_Installation
Requires:	%{name}-sub2-domain_API-AppFramework-Frame_Broker_API
Requires:	%{name}-sub2-domain_API-AppFramework-Job_Scheduler_API
Requires:	%{name}-sub2-domain_API-AppFramework-Media_Key_API
Requires:	%{name}-sub2-domain_API-AppFramework-Message_Port_API
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_UI_app_model
Requires:	%{name}-sub2-domain_API-AppFramework-Native_EFL_Widget_App_Model
Requires:	%{name}-sub2-domain_API-AppFramework-Notification_API
Requires:	%{name}-sub2-domain_API-AppFramework-RPC_Port_API
Requires:	%{name}-sub2-domain_API-AppFramework-Shortcut_API
Requires:	%{name}-sub2-domain_API-AppFramework-Tizen_Theme_Manager_API
Requires:	%{name}-sub2-domain_API-AppFramework-TPK_Installation
Requires:	%{name}-sub2-domain_API-Base-Utils
Requires:	%{name}-sub2-domain_API-Content-Download
Requires:	%{name}-sub2-domain_API-Content-Media_Content
Requires:	%{name}-sub2-domain_API-Content-MIME_Type
Requires:	%{name}-sub2-domain_API-Context-Activity_Geusture_Recognition
Requires:	%{name}-sub2-domain_API-Context-Contextual_History
Requires:	%{name}-sub2-domain_API-Context-Contextual_Trigger
Requires:	%{name}-sub2-domain_API-Location-Geofence_Manager
Requires:	%{name}-sub2-domain_API-Location-Location_Manager
Requires:	%{name}-sub2-domain_API-Maps-Here_Plugin
Requires:	%{name}-sub2-domain_API-Maps-Maps_Service
Requires:	%{name}-sub2-domain_API-Messaging-Email
Requires:	%{name}-sub2-domain_API-Messaging-Push
Requires:	%{name}-sub2-domain_API-Multimedia-AudioCore
Requires:	%{name}-sub2-domain_API-Multimedia-Audio_IO
Requires:	%{name}-sub2-domain_API-Multimedia-Camera
Requires:	%{name}-sub2-domain_API-Multimedia-Configuration
Requires:	%{name}-sub2-domain_API-Multimedia-Image_Util
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Codec
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Controller
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Demuxer
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Muxer
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Streamer
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Tool
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Vision_Barcode
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Vision_Face
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Vision_Image
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Vision_Surveillance
Requires:	%{name}-sub2-domain_API-Multimedia-Media_Vision_Inference
Requires:	%{name}-sub2-domain_API-Multimedia-Metadata_Editor
Requires:	%{name}-sub2-domain_API-Multimedia-Metadata_Extractor
Requires:	%{name}-sub2-domain_API-Multimedia-OpenAL
Requires:	%{name}-sub2-domain_API-Multimedia-Player
Requires:	%{name}-sub2-domain_API-Multimedia-Recorder
Requires:	%{name}-sub2-domain_API-Multimedia-Screen_Mirroring
Requires:	%{name}-sub2-domain_API-Multimedia-Sound_Manager
Requires:	%{name}-sub2-domain_API-Multimedia-Sound_Pool
Requires:	%{name}-sub2-domain_API-Multimedia-Stream_Recorder
Requires:	%{name}-sub2-domain_API-Multimedia-Thumbnail_Util
Requires:	%{name}-sub2-domain_API-Multimedia-Tone_Player
Requires:	%{name}-sub2-domain_API-Multimedia-WAV_Player
Requires:	%{name}-sub2-domain_API-Network-ASP
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_BREDR
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Call_Audio
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_LE
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Media_Audio
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Transfer
Requires:	%{name}-sub2-domain_API-Network-Connection
Requires:	%{name}-sub2-domain_API-Network-Curl
Requires:	%{name}-sub2-domain_API-Network-DNSSD
Requires:	%{name}-sub2-domain_API-Network-HTTP
Requires:	%{name}-sub2-domain_API-Network-MTP
Requires:	%{name}-sub2-domain_API-Network-SoftAP
Requires:	%{name}-sub2-domain_API-Network-SSDP
Requires:	%{name}-sub2-domain_API-Network-STC
Requires:	%{name}-sub2-domain_API-Network-VPN_Service
Requires:	%{name}-sub2-domain_API-Network-WiFi_Direct
Requires:	%{name}-sub2-domain_API-Network-WiFi_Manager
Requires:	%{name}-sub2-domain_API-Network-WiFi_Aware
Requires:	%{name}-sub2-domain_API-Network-INM
Requires:	%{name}-sub2-domain_API-Security-CSR
Requires:	%{name}-sub2-domain_API-Security-Device_Certificate
Requires:	%{name}-sub2-domain_API-Security-Device_Policy
Requires:	%{name}-sub2-domain_API-Security-Privilege_Info
Requires:	%{name}-sub2-domain_API-Security-YACA
Requires:	%{name}-sub2-domain_API-Social-Calendar
Requires:	%{name}-sub2-domain_API-Social-Contacts
Requires:	%{name}-sub2-domain_API-Social-Phonenumber_utils
Requires:	%{name}-sub2-domain_API-System-Device
Requires:	%{name}-sub2-domain_API-System-Runtime_Information
Requires:	%{name}-sub2-domain_API-System-Sensor_Listener
Requires:	%{name}-sub2-domain_API-System-Sensor_Recorder
Requires:	%{name}-sub2-domain_API-System-Storage
Requires:	%{name}-sub2-domain_API-System-System_Settings
Requires:	%{name}-sub2-domain_API-System-USB_Host
Requires:	%{name}-sub2-domain_API-UI-Aurum
Requires:	%{name}-sub2-domain_API-UI-Cairo
Requires:	%{name}-sub2-domain_API-UI-Clipboard_History_Manager
Requires:	%{name}-sub2-domain_API-UI-DALi
Requires:	%{name}-sub2-domain_API-UI-DALi2
Requires:	%{name}-sub2-domain_API-UI-Display_Server
Requires:	%{name}-sub2-domain_API-UI-EFL_ELM_Accessbility
Requires:	%{name}-sub2-domain_API-UI-EFL_Extension
Requires:	%{name}-sub2-domain_API-UI-EFL_MainLoop
Requires:	%{name}-sub2-domain_API-UI-EFL_NativeUIToolkit
Requires:	%{name}-sub2-domain_API-UI-External_Output_Manager
Requires:	%{name}-sub2-domain_API-UI-FontConfig
Requires:	%{name}-sub2-domain_API-UI-Freetype
Requires:	%{name}-sub2-domain_API-UI-HarfBuzz
Requires:	%{name}-sub2-domain_API-UI-Minicontrol
Requires:	%{name}-sub2-domain_API-UI-SDL_GL
Requires:	%{name}-sub2-domain_API-UI-TBM_Surface
Requires:	%{name}-sub2-domain_API-UI-Tizen_WS_Shell
Requires:	%{name}-sub2-domain_API-UI-WidgetViewerDALi
Requires:	%{name}-sub2-domain_API-UIX-Input_Method
Requires:	%{name}-sub2-domain_API-UIX-STT
Requires:	%{name}-sub2-domain_API-UIX-TTS
Requires:	%{name}-sub2-domain_API-UIX-Voice_control
Requires:	%{name}-sub2-domain_API-UIX-Voice_control_elementary
Requires:	%{name}-sub2-domain_API-UIX-Multi_assistant
Requires:	%{name}-sub2-domain_API-UIX-Sticker
Requires:	%{name}-sub2-domain_API-UIX-Autofill
Requires:	%{name}-sub2-domain_API-Web-WebView
Requires:	%{name}-sub2-domain_API-MachineLearning-NNStreamer
Requires:	%{name}-sub1-domain_Feature-Resource_manager

%ifarch armv7l
##### TizenFX for Headed #####
Requires:	%{name}-root-domain_CSAPI
Requires:	%{name}-sub2-domain_CSAPI-UI-ElmSharp
Requires:	%{name}-sub2-domain_CSAPI-UI-NUI
Requires:	%{name}-sub2-domain_CSAPI-Account-Account_Manager
Requires:	%{name}-sub2-domain_CSAPI-Account-OAuth2
Requires:	%{name}-sub2-domain_CSAPI-Account-FIDO_Client
Requires:	%{name}-sub2-domain_CSAPI-Account-Sync_Manager
Requires:	%{name}-sub2-domain_CSAPI-Applications-Alarm
Requires:	%{name}-sub2-domain_CSAPI-Applications-AttachPanel
Requires:	%{name}-sub2-domain_CSAPI-Applications-Badge
Requires:	%{name}-sub2-domain_CSAPI-Applications-Common
Requires:	%{name}-sub2-domain_CSAPI-Applications-ComponentBased
Requires:	%{name}-sub2-domain_CSAPI-Applications-DataControl
Requires:	%{name}-sub2-domain_CSAPI-Applications-EventManager
Requires:	%{name}-sub2-domain_CSAPI-Applications-MessagePort
Requires:	%{name}-sub2-domain_CSAPI-Applications-Notification
Requires:	%{name}-sub2-domain_CSAPI-Applications-NotificationEventListener
Requires:	%{name}-sub2-domain_CSAPI-Applications-PackageManager
Requires:	%{name}-sub2-domain_CSAPI-Applications-RemoteView
Requires:	%{name}-sub2-domain_CSAPI-Applications-Service
Requires:	%{name}-sub2-domain_CSAPI-Applications-Shortcut
Requires:	%{name}-sub2-domain_CSAPI-Applications-ToastMessage
Requires:	%{name}-sub2-domain_CSAPI-Applications-UI
Requires:	%{name}-sub2-domain_CSAPI-Applications-WidgetApplication
Requires:	%{name}-sub2-domain_CSAPI-Applications-WidgetControl
Requires:	%{name}-sub2-domain_CSAPI-Content-Download
Requires:	%{name}-sub2-domain_CSAPI-Content-MIME_Type
Requires:	%{name}-sub2-domain_CSAPI-Content-Media_Content
Requires:	%{name}-sub2-domain_CSAPI-Context-AppHistory
Requires:	%{name}-sub2-domain_CSAPI-Location-Location
Requires:	%{name}-sub2-domain_CSAPI-Location-Geofence
Requires:	%{name}-sub2-domain_CSAPI-MachineLearning-Inference
Requires:	%{name}-sub2-domain_CSAPI-Maps-Maps
Requires:	%{name}-sub2-domain_CSAPI-Messaging-Email_Message
Requires:	%{name}-sub2-domain_CSAPI-Messaging-Push
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-AudioIO
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Camera
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-MediaCodec
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-MediaPlayer
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Metadata
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Recorder
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Remoting
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-StreamRecorder
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Util
Requires:	%{name}-sub2-domain_CSAPI-Multimedia-Vision
Requires:	%{name}-sub2-domain_CSAPI-Network-Bluetooth
Requires:	%{name}-sub2-domain_CSAPI-Network-Connection
Requires:	%{name}-sub2-domain_CSAPI-Network-IoTCon
Requires:	%{name}-sub2-domain_CSAPI-Network-NSD
Requires:	%{name}-sub2-domain_CSAPI-Network-STC
Requires:	%{name}-sub2-domain_CSAPI-Network-WiFi_Direct
Requires:	%{name}-sub2-domain_CSAPI-Social-Calendar
Requires:	%{name}-sub2-domain_CSAPI-Social-Contacts
Requires:	%{name}-sub2-domain_CSAPI-Security-PrivacyPrivilegeManager
Requires:	%{name}-sub2-domain_CSAPI-Security-Repository
Requires:	%{name}-sub2-domain_CSAPI-Security-Security
Requires:	%{name}-sub2-domain_CSAPI-Security-TEEC
Requires:	%{name}-sub2-domain_CSAPI-System-Sensor
Requires:	%{name}-sub2-domain_CSAPI-System-Feedback
Requires:	%{name}-sub2-domain_CSAPI-System-Information
Requires:	%{name}-sub2-domain_CSAPI-System-MediaKey
Requires:	%{name}-sub2-domain_CSAPI-System-PlatformConfig
Requires:	%{name}-sub2-domain_CSAPI-System-Storage
Requires:	%{name}-sub2-domain_CSAPI-System-SystemSettings
Requires:	%{name}-sub2-domain_CSAPI-System-Usb
Requires:	%{name}-sub2-domain_CSAPI-System-System
Requires:	%{name}-sub2-domain_CSAPI-UIX-InputMethod
Requires:	%{name}-sub2-domain_CSAPI-UIX-InputMethodManager
Requires:	%{name}-sub2-domain_CSAPI-UIX-Stt
Requires:	%{name}-sub2-domain_CSAPI-UIX-SttEngine
Requires:	%{name}-sub2-domain_CSAPI-UIX-Tts
Requires:	%{name}-sub2-domain_CSAPI-UIX-TtsEngine
Requires:	%{name}-sub2-domain_CSAPI-UIX-VoiceControl
Requires:	%{name}-sub2-domain_CSAPI-UIX-Nlp
Requires:	%{name}-sub1-domain_CSAPI-WebView
%endif

%description root-Preset_iot_headed
The packages of Tizen IoT Headed Common.
%files root-Preset_iot_headed
